package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 16:14
 */
@Data
public class CrossSectionPO {
    /** 时段ID */
    @ApiModelProperty(value = "时段ID",notes = "")
    private Integer id ;
    /** 时段号 */
    @ApiModelProperty(value = "时段号",notes = "")
    private String sectionNo ;
    /** 开始时间 */
    @ApiModelProperty(value = "开始时间",notes = "")
    private String startTime ;
    /** 结束时间 */
    @ApiModelProperty(value = "结束时间",notes = "")
    private String endTime ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 计划ID */
    @ApiModelProperty(value = "计划ID",notes = "")
    private Integer planId ;
    /** 控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9 */
    @ApiModelProperty(value = "控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9",notes = "")
    private Integer controlMode ;
    /** 方案ID */
    @ApiModelProperty(value = "方案ID",notes = "")
    private Integer schemeId;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
