package net.wanji.databus.dao.mapper;

import net.wanji.databus.po.CrossTurnInfoPO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface BaseCrossTurnInfoMapper {

    List<CrossTurnInfoPO> selectByCrossIdAndDir(String crossId, Integer dir);

    List<String> selectLaneIds(String crossId, Integer dirCode, Integer intTurnCode);

    Integer selectTurnEmergencyCount(String crossId, List<String> laneIds, int startTimeStamp, int endTimeStamp);
}
