package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.GreenwaveHistPO;
import net.wanji.databus.dao.entity.GreenwaveHistPOExt;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/31 11:03
 */
@Repository
public interface GreenwaveHistMapper {
    List<GreenwaveHistPOExt> selectRunMonitor(Date nowTime);

    List<GreenwaveHistPO> selectByTimeSection(String startTimeStr, String endTimeStr);

    List<GreenwaveHistPO> selectByIdAndTimeSection(Integer greenwaveId, String startTimeStr, String endTimeStr);
}
